CVE-2008-2717

Current Description

TYPO3 4.0.x before 4.0.9, 4.1.x before 4.1.7, and 4.2.x before 4.2.1, uses an insufficiently restrictive default fileDenyPattern for Apache, which allows remote attackers to bypass security restrictions and upload configuration files such as .htaccess, or conduct file upload attacks using multiple extensions.

Basic Data

PublishedJune 16, 2008
Last ModifiedOctober 11, 2018
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeCWE-264
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:N/AC:L/Au:S/C:P/I:P/A:P
CVSS 2 - Access VectorNETWORK
CVSS 2 - Access ComplexityLOW
CVSS 2 - AuthenticationSINGLE
CVSS 2 - Confidentiality ImpactPARTIAL
CVSS 2 - Availability ImpactPARTIAL
CVSS 2 - Base Score6.5
SeverityMEDIUM
Exploitability Score8.0
Impact Score6.4
Obtain All Privilegefalse
Obtain User Privilegefalse
Obtain Other Privilegefalse

Base Metric V3

No data provided.

Configurations

  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3ApplicationApacheApache Webserver********
    2.3ApplicationTypo3Typo34.0*******
    2.3ApplicationTypo3Typo34.0.1*******
    2.3ApplicationTypo3Typo34.0.2*******
    2.3ApplicationTypo3Typo34.0.3*******
    2.3ApplicationTypo3Typo34.0.4*******
    2.3ApplicationTypo3Typo34.0.5*******
    2.3ApplicationTypo3Typo34.0.6*******
    2.3ApplicationTypo3Typo34.0.7*******
    2.3ApplicationTypo3Typo34.0.8*******
    2.3ApplicationTypo3Typo34.1*******
    2.3ApplicationTypo3Typo34.1.1*******
    2.3ApplicationTypo3Typo34.1.2*******
    2.3ApplicationTypo3Typo34.1.3*******
    2.3ApplicationTypo3Typo34.1.4*******
    2.3ApplicationTypo3Typo34.1.5*******
    2.3ApplicationTypo3Typo34.1.6*******
    2.3ApplicationTypo3Typo34.2*******

Vulnerable Software List

VendorProductVersions
Apache Apache Webserver *
Typo3 Typo3 4.0, 4.0.1, 4.0.2, 4.0.3, 4.0.4, 4.0.5, 4.0.6, 4.0.7, 4.0.8, 4.1, 4.1.1, 4.1.2, 4.1.3, 4.1.4, 4.1.5, 4.1.6, 4.2

References

NameSourceURLTags
http://buzz.typo3.org/teams/security/article/advice-on-core-security-issue-regarding-filedenypattern/http://buzz.typo3.org/teams/security/article/advice-on-core-security-issue-regarding-filedenypatternCONFIRM
30619http://secunia.com/advisories/30619SECUNIAVendor Advisory
30660http://secunia.com/advisories/30660SECUNIAVendor Advisory
3945http://securityreason.com/securityalert/3945SREASON
http://typo3.org/teams/security/security-bulletins/typo3-20080611-1/http://typo3.org/teams/security/security-bulletins/typo3-20080611-1/CONFIRM
DSA-1596http://www.debian.org/security/2008/dsa-1596DEBIAN
20080611 TYPO3 Security Bulletin TYPO3-20080611-1: Multiple vulnerabilities in TYPO3 Corehttp://www.securityfocus.com/archive/1/493270/100/0/threadedBUGTRAQ
29657http://www.securityfocus.com/bid/29657BID
ADV-2008-1802http://www.vupen.com/english/advisories/2008/1802VUPEN
typo3-filename-file-upload(42988)https://exchange.xforce.ibmcloud.com/vulnerabilities/42988XF